`<div dir="ltr">Depending on the availability of the guest-side drivers, it should be a lot faster to use virtio, both for disk and net. <div><br></div><div>Does anyone know if virtio support ships now in OmniOS? I know there have been some drivers floating around for a while now, but haven't tried them.</div>
<div> -nld</div></div><div class="gmail_extra"><br><br><div class="gmail_quote">On Fri, Sep 13, 2013 at 1:45 PM, ashley willis <span dir="ltr"><<a href="mailto:ashleywillis76@gmail.com" target="_blank">ashleywillis76@gmail.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">I have 14GB dump of a MongoDB database that took 10 minutes to restore<br>
on bare metal OmniOS -- I'm fine with this (system is an 8-core AMD<br>
FX-8150, 32GB ram, pair of 500GB WD 'blue" drives mirrored, 90GB ssd<br>
cache -- all desktop-grade).<br>
<br>
Running OmniOS under KVM on this box, the same operation took 246<br>
minutes with the dump available over an NFS share from the bare metal<br>
system (given 2 cores, 2GB ram, and a 30GB zvol).<br>
<br>
Under the same KVM instance, I decided to see the performance reading<br>
the dump from NFS and having the MongoDB data directory on this same<br>
NFS share, and it's on track to finish in under 60 minutes (half-way<br>
done). That's more than 4 times faster.<br>
<br>
What gives?<br>
<br>
/usr/bin/qemu-system-x86_64 -name OmniOS_Text_r151006p.iso -enable-kvm<br>
-vnc <a href="http://0.0.0.0:15" target="_blank">0.0.0.0:15</a> -smp 2 -m 2048 -no-hpet -localtime -drive<br>
file=/dev/zvol/rdsk/rpool/omnios,if=ide,index=0 -net<br>
nic,vlan=0,name=net0,model=e1000,macaddr=2:8:20:e:15:33 -net<br>
vnic,vlan=0,name=net0,ifname=vnic10,macaddr=2:8:20:e:15:33 -vga std<br>
-daemonize<br>
<br>
-ashley<br>
_______________________________________________<br>
OmniOS-discuss mailing list<br>
<a href="mailto:OmniOS-discuss@lists.omniti.com">OmniOS-discuss@lists.omniti.com</a><br>
<a href="http://lists.omniti.com/mailman/listinfo/omnios-discuss" target="_blank">http://lists.omniti.com/mailman/listinfo/omnios-discuss</a><br>
</blockquote></div><br></div>
`